summaryrefslogtreecommitdiff
path: root/dev-python/wcmatch
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-31 12:50:03 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-31 12:50:03 +0000
commitad39ea6dc6875aa70d3e1a7d81eaff7d08aa5810 (patch)
treee3b4bba98989393881cf3ccd040048d07247201d /dev-python/wcmatch
parentb6450eb2f3b325710dea2eb7c32130d496f98f83 (diff)
downloadsrcux-ad39ea6dc6875aa70d3e1a7d81eaff7d08aa5810.tar.gz
srcux-ad39ea6dc6875aa70d3e1a7d81eaff7d08aa5810.tar.xz
srcux-ad39ea6dc6875aa70d3e1a7d81eaff7d08aa5810.zip
Adding metadata
Diffstat (limited to 'dev-python/wcmatch')
-rw-r--r--dev-python/wcmatch/Manifest1
-rw-r--r--dev-python/wcmatch/wcmatch-8.4.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index 87219ce1e621..6500eaa4c51c 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -1 +1,2 @@
DIST wcmatch-8.3.tar.gz 116600 BLAKE2B 8576a546278a69ba46af262bc925370e6d8b1828975d54fe3fe1a2e39fc8456134c7f7986e1674883ca0f0298c223be7efc67c7296a29d9a4f1b64e42614ce17 SHA512 64cd84e69ceb6c5953f281711d026540ac198256cda3ca32c90d2acb01b18c93ceaebd3440b395c3e77fc7ec38f350821b0095518ab5c065e698cfe0f2df4c1b
+DIST wcmatch-8.4.gh.tar.gz 116596 BLAKE2B cdfbc243fa62f4854490510a563163f99dac09eed16248fa7a72d0a2a7b96484fab4edf3ba497e96a46dca1f734b9c1b098da4d71784775f51b48fcfa5b8a24c SHA512 92478a769be129f9997ef75a384b9978d0647bbd7f2212aa058f1438e698a0a77d069871daf20889455f6e9bb73266d4e312f29f61c704a708fa48fa565d7614
diff --git a/dev-python/wcmatch/wcmatch-8.4.ebuild b/dev-python/wcmatch/wcmatch-8.4.ebuild
new file mode 100644
index 000000000000..95eac9dd5daf
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-8.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=hatchling
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ >=dev-python/mkdocs_pymdownx_material_extras-2.0
+ dev-python/mkdocs-material
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+ dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+ https://github.com/facelessuser/wcmatch/
+ https://pypi.org/project/wcmatch/
+"
+SRC_URI="
+ https://github.com/facelessuser/wcmatch/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/bracex-2.1.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # tests require some files in homedir
+ > "${HOME}"/test1.txt || die
+ > "${HOME}"/test2.txt || die
+
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init || die
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ git add . || die
+ git commit -m 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}